Summary: A remote mail retrieval and forwarding utility
Name: fetchmail
Version: 6.4.34
Release: 4%{?dist}
License: GPL+ and Public Domain
URL: http://www.fetchmail.info/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

BuildRequires: make gcc
BuildRequires: gettext-devel krb5-devel openssl-devel python3-devel

%description
This package provides a remote mail retrieval and forwarding utility intended for use over 
on-demand TCP/IP links, like SLIP or PPP connections. Fetchmail supports every remote-mail 
protocol currently in use on the Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP 
ETRN, IPv6, and IPSEC) for retrieval. Then Fetchmail forwards the mail through SMTP so you 
can read it through your favorite mail client.

If you need to retrieve mail via SLIP or PPP connections, install fetchmail.

%prep
%autosetup

%build
%configure --enable-POP3 --enable-IMAP --with-ssl --without-hesiod \
	--enable-ETRN --enable-NTLM --enable-SDPS --enable-RPA \
	--enable-nls --with-kerberos5 --with-gssapi \
	--enable-fallback=no
make

%install
%make_install

rm -f %{buildroot}%{_bindir}/fetchmailconf*
rm -f %{buildroot}%{_mandir}/man1/fetchmailconf.1*
rm -f %{buildroot}%{python3_sitelib}/fetchmailconf.py*
rm -f %{buildroot}%{python3_sitelib}/__pycache__/fetchmailconf*

%find_lang %name

%files -f %{name}.lang
%license COPYING
%doc FAQ FEATURES NEWS NOTES README README.SSL TODO contrib/systemd
%{_bindir}/fetchmail
%{_mandir}/man1/fetchmail.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.4.34-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.4.34-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.4.34-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Wang Guodong <gordonwwang@tencent.com> - 6.4.34-1
- initial build
